summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 22:24:29 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 22:24:29 +0200
commit009ed29d43c8083a27aef6d11dbd3d42b830c1fe (patch)
treeb94365afa2ef196c6c709f521df73da866075a79
parentcf374498d34dd14565269d7a7e7e21685af1abe0 (diff)
downloadslackbuilds-009ed29d43c8083a27aef6d11dbd3d42b830c1fe.tar.gz
slackbuilds-009ed29d43c8083a27aef6d11dbd3d42b830c1fe.tar.xz
misc/clawsker: Updated for version 0.5.0
-rw-r--r--misc/clawsker/clawsker.SlackBuild18
-rw-r--r--misc/clawsker/clawsker.info8
2 files changed, 13 insertions, 13 deletions
diff --git a/misc/clawsker/clawsker.SlackBuild b/misc/clawsker/clawsker.SlackBuild
index 7b08f9f71a..38d2f1e048 100644
--- a/misc/clawsker/clawsker.SlackBuild
+++ b/misc/clawsker/clawsker.SlackBuild
@@ -3,8 +3,10 @@
# Slackware build script for Clawsker
# Written by Erik Hanson erik@slackbuilds.org
+set -eu
+
PRGNAM=clawsker
-VERSION=0.4.0
+VERSION=0.5.0
ARCH=noarch
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -16,20 +18,18 @@ OUTPUT=${OUTPUT:-/tmp}
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-make || exit 1
-make install DESTDIR=$PKG PREFIX=/usr || exit 1
+make
+make install DESTDIR=$PKG PREFIX=/usr
-( cd $PKG
- mv usr/share/man/ usr/man/
- gzip -9 usr/man/man1/*
-)
+mv $PKG/usr/share/man/ $PKG/usr/man/
+gzip -9 $PKG/usr/man/man?/*.?
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION $PKG/install
cp -a AUTHORS COPYING ChangeLog NEWS README VERSION $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/misc/clawsker/clawsker.info b/misc/clawsker/clawsker.info
index 837841a309..0af494da24 100644
--- a/misc/clawsker/clawsker.info
+++ b/misc/clawsker/clawsker.info
@@ -1,8 +1,8 @@
PRGNAM="clawsker"
-VERSION="0.4.0"
+VERSION="0.5.0"
HOMEPAGE="http://www.claws-mail.org/clawsker"
-DOWNLOAD="http://www.claws-mail.org/tools/clawsker-0.4.0.tar.gz"
-MD5SUM="033c0f6b5663cba7b3ee4813dc5cb220"
+DOWNLOAD="http://www.claws-mail.org/tools/clawsker-0.5.0.tar.gz"
+MD5SUM="98d83ab5bbb163c5aec4b2e3c3febb1b"
MAINTAINER="Erik Hanson"
EMAIL="erik@slackbuilds.org"
-APPROVED="rworkman"
+APPROVED="Michiel"